Table of Contents

## Name

XtAppErrorMsg, XtAppSetErrorMsgHandler, XtAppSetWarningMsgHandler, XtAppWarningMsg - high-level error handlers

## Syntax

void XtAppErrorMsg(XtAppContext app_context, String name, String
  type, String class, String default, String *params, Cardinal *num_params);
void XtAppSetErrorMsgHandler(XtAppContext app_context, XtErrorMsgHandler
  msg_handler);
void XtAppSetWarningMsgHandler(XtAppContext app_context,
  XtErrorMsgHandler msg_handler);
void XtAppWarningMsg(XtAppContext app_context, String name, String
  type, String class, String default, String *params, Cardinal *num_params);

## Arguments

Specifies the application context.

Specifies the resource classCl.

Specifies the default message to useDm.

Specifies the general kind of error.

Specifies the detailed name of the error. or the nonfatal error procedure, which usually returns

Specifies the new fatal error procedure, which should not return.

Specifies the number of values in the parameter list.

Specifies a pointer to a list of values to be stored in the message.

## Description

The XtAppErrorMsg function calls the high-level error handler and passes the specified information.

The XtAppSetErrorMsgHandler function registers the specified procedure, which is called when a fatal error occurs.

The XtAppSetWarningMsgHandler function registers the specified procedure, which is called when a nonfatal error condition occurs.

The XtAppWarningMsg function calls the high-level error handler and passes the specified information.

## See Also

XtAppGetErrorDatabase(3Xt) , XtAppError(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also